function covmat = covmat (K)
   fid = fopen ('../data/covmat', 'wt');
   target_vocab = loadvocab('../data/all-851.vocab.1gm');
   big_vocab = loadvocab('../data/all-851.vocab.1gm');
   aux_pos_fn = '../data/movie_review.pos';
   aux_neg_fn = '../data/movie_review.neg';
   
%    command = sprintf('perl /orl/usr0/huiyang/bbr/script/txt2vocab/txt2vocab.pl -i %s -o ../data/aux_pos.vocab', aux_pos_fn );
%    system (command);   
%    command = sprintf('perl /orl/usr0/huiyang/bbr/script/txt2vocab/txt2vocab.pl -i %s -o ../data/aux_neg.vocab', aux_neg_fn );
%    system (command);   
%    aux_pos_vocab = loadvocab ('../data/aux_pos.vocab.1gm');
%    aux_neg_vocab = loadvocab ('../data/aux_neg.vocab.1gm');
%    aux_vocab = [aux_pos_vocab; aux_neg_vocab];
% 
%    save ('aux_vocab.mat', 'aux_vocab');
   load ('aux_vocab.mat', 'aux_vocab');
   
   for i=1:size(target_vocab ,1)
%   for i=1:3
       wi = target_vocab(i,:);
       if (in_aux_vocab(wi,aux_vocab) )
          for j=i+1:size(target_vocab ,1)
%           for j=i+1:3
            wj = target_vocab(j,:);
            if ( in_aux_vocab(wj,aux_vocab))
                 cov = single_cov(wi,wj, aux_pos_fn, aux_neg_fn , K, big_vocab );
                 fprintf(fid, '%s,%s,%.4f\n', wi{1}, wj{1},cov);
            end
          end   
       end
   end
   fclose(fid);
end
