

function w = lr_train(train_features, train_class, w_init)
    w = w_init;

    diff =1;
    eps = 0.0001;
    eta = 0.0001;
    loop_count=0;
    while (diff>eps && loop_count <30) 
        for i=1:size(w,2)  
            old_w = w;
            delta = zeros(size(train_class,1),1);
            for l=1:size(train_class,1)
              delta(l,:)=  train_class(l) - exp(sum(old_w.*train_features(l,:)))/(1+exp(sum(old_w.*train_features(l,:))));
            end
            
            m=  train_features(:,i) .* delta;
            w(:,i) = old_w(:,i) + eta *sum(m) ;
        end
    diff = sum(abs(w-old_w));
    loop_count = loop_count+1;
    end
end
