function [train_features, train_class] = sampletraindata (aux_pos_fn, aux_neg_fn, sample_rate)
   command = sprintf ('perl /orl/usr0/huiyang/bbr/script/txt2svminput/txt2svminput.pl -v ../data/sample_vocab -t + -i %s',aux_pos_fn);
   system(command);
   command = sprintf ('perl /orl/usr0/huiyang/bbr/script/txt2svminput/txt2svminput.pl -v ../data/sample_vocab -t - -i %s',aux_neg_fn);
   system(command);
   system('rm -rf ../data/sample_train.svmin');
   command = sprintf ('cat %s*.svmin %s*.svmin > ../data/sample_train.svmin',  aux_pos_fn, aux_neg_fn);
   system(command);
   
   [s,num_pair] = system('perl parseinput.pl ../data/sample_train.svmin ../data/sample_train.features ../data/sample_train.tags');
    num_pair = textscan (num_pair, '%n\n', 'commentStyle' , 't');
    [class, features] =  create_matrix(num_pair{1}, '../data/sample_train.features','../data/sample_train.tags');
   
    class = change_class_label(class, 1,-1); %change class label to 1 and 0
   [train_features,train_class,test_features, test_class]=create_train_test_data( class,features,sample_rate);  
   
 %  size(train_features);
 %  size(train_class);

end