function cov = single_cov ( wi,wj, aux_pos_fn,aux_neg_fn, K, big_vocab)
   V=4;
   T=4;
   m=1;
   for v=1:V
       vocab = samplevocab (wi,wj,K, big_vocab ) ; % sample wi , wj as the first 2 vocab
       fid = fopen( '../data/sample_vocab', 'wt');
       for i=1:size(vocab,2)
           fprintf(fid, '%s\t\n',  vocab{i} );
       end
       fclose (fid);
    
       for t=1:T
         [train_features,train_class] = sampletraindata (aux_pos_fn, aux_neg_fn, 9/10);
          w_init = repmat(0.5,1, size(train_features,2)+1);
          train_features = [ repmat(1,size(train_features,1),1) train_features];  % x0=1
    
          w = lr_train (train_features, train_class, w_init); % weight 2 and 3 are for our words  
          theta(t,:)=w;
          theta_prod(m,:)=theta(t,2).*theta(t,3);
          m = m+1;
       end
       theta_mean = (1/T)*sum(theta,1);
      for t=1:T
          c(t,:)= (theta(t,2)-theta_mean(2))*(theta(t,3)-theta_mean(3));
      end
      c_means(v,:) = (1/T)*sum(c,1);
      c=[];
      theta=[];
   end
   u = (1/(V*T))*sum(theta_prod,1);
   cov = u - (1/V)*sum(c_means,1);
end